Subject: [RFC][PATCH 0/7] OMAP4 cpuidle cleanup

From: [email-masked] (Daniel Lezcano)
Date: Wed, 21 Mar 2012 10:51:33 +0100

On 03/21/2012 10:36 AM, Shilimkar, Santosh wrote:
> On Wed, Mar 21, 2012 at 2:57 PM, Daniel Lezcano
> <[email-masked]>  wrote:
>> This patchset is a proposition to improve a bit the code.
>> The changes are code cleanup and does not change the behavior of the
>> driver itself.
>>
> Thanks. Will have a look at your series.

Cool, thanks.

>> A couple a things call my intention. Why the cpuidle device is set for cpu0 only
> Because the mainline code CPUIDLE is supported along with CPUhotplug.
> This is going to change though with Couple CPUIDLE and corresponding
> OMAP updates.

Ok, thanks for the information. I will look deeper. What happens to cpu1 
when it is online and has nothing to do ?

>> and why the WFI is not used ?
>>
> I didn't get this question. Do you mean the generic WFI?

yes.

> If yes, then, it's mainly because OMAP need additional
> custom barriers.

Ah, ok. I am not sure if it is possible but that may be cool if we can 
call cpu_do_idle instead with additional barrier.

> --
> To unsubscribe from this list: send the line "unsubscribe linux-omap" in
> the body of a message to majordomo at vger.kernel.org
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

-- 
  <http://www.linaro.org/> Linaro.org ? Open source software for ARM SoCs

Follow Linaro:  <http://www.facebook.com/pages/Linaro> Facebook |
<http://twitter.com/#!/linaroorg> Twitter |
<http://www.linaro.org/linaro-blog/> Blog